/**
 * @version    $Id$
 * @package    CR MegaMenu
 * @author     Webinane Team <support@Webinane.com>
 * @copyright  Copyright (C) 2014 Webinane.com All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://www.Webinane.com
 * Technical Support:  Feedback - http://www.Webinane.com
 */

// define array of placeholders javascript
var $placeholders = new Array();
$placeholders['widget_title']   = '_CR_WIDGET_TIGLE_';
$placeholders['extra_class']    = '_CR_EXTRA_CLASS_';
$placeholders['index']          = '_CR_INDEX_';
$placeholders['custom_style']   = '_CR_STYLE_';
$placeholders['standard_value'] = '_CR_STD_';
$placeholders['wrapper_append'] = '_CR_CRAPPER_TAG_';

// custom sprintf function for javascript: %s
function sprintf(format, etc) {
    var arg = arguments;
    var i = 1;
    return format.replace(/%((%)|s)/g, function (m) { return m[2] || arg[i++] })
}

// custom sprintf function for javascript: {0}, {1}
String.prototype.custom_sprintf = function() {
    var formatted = this;
    for( var arg in arguments ) {
        formatted = formatted.replace("{" + arg + "}", arguments[arg]);
    }
    return formatted;
};

/**
 * Add placeholder to string
 * Ex:	data.replace(/&lt;/g, '&_CR_CRAPPER_TAG_lt;') => cr_mm_add_placeholder( data, '&lt;', 'index', '&l{0}t;')
*/
function cr_mm_add_placeholder( $string, $replace, $placeholder, $expression ){
	if ( !( $placeholders[$placeholder] ) )
		return NULL;
	$replace = $replace.replace('/', '\\/')
    var regexp = new RegExp($replace, "g");
	if ( !( $expression ) )
		return $string.replace( regexp, $placeholders[$placeholder] );
	else
		return $string.replace( regexp, $expression.custom_sprintf($placeholders[$placeholder]) );
        //return $string.replace( regexp, sprintf( $expression, $placeholders[$placeholder] ) );
}

/**
 * Replace placeholder with real value
 * Ex:	html.replace(/_CR_INDEX_/g, value) => cr_mm_remove_placeholder(html, 'index', value)
*/
function cr_mm_remove_placeholder( $string, $placeholder, $value ){
    if ( ! $string ) {
        return '';
    }
    
	if ( !( $placeholders[$placeholder] ) )
		return $string;
    var regexp = new RegExp($placeholders[$placeholder], "g");
	return $string.replace( regexp, $value );
}

// get placeholder value
function cr_mm_get_placeholder( $placeholder ){
    if ( !( $placeholders[$placeholder] ) )
		return NULL;
    return $placeholders[$placeholder];
}