/**
 * @version    $Id$
 * @package    CR MegaMenu
 * @author     Webinane Team <support@Webinane.com>
 * @copyright  Copyright (C) 2014 Webinane.com All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://www.Webinane.com
 * Technical Support:  Feedback - http://www.Webinane.com
 */

// Add Webinane button to TinyMCE
(function($){
    if (typeof(Cr_Megamenu_Translate) != 'undefined') {
        // creates the plugin
        tinymce.create('tinymce.plugins.cr_mm', {
            // creates control instances based on the control's id.
            // our button's id is "cr_mm_button"
            createControl : function(id, controlManager) {
                if (id == 'cr_mm_button') {
                    // creates the button
                    var button = controlManager.createButton('cr_mm_button', {
                        title : Cr_Megamenu_Translate.cr_shortcode, // title of the button
                        image : Cr_Megamenu_Translate.cr_icon,  // path to the button's image
                        onclick : function() {
                            // triggers the thickbox
                            tb_show( Cr_Megamenu_Translate.cr_shortcode, '#TB_inline?width=' + 100 + '&height=' + 100 + '&inlineId=cr_mm-form' );
                            // custom style
                            $('#TB_window').css({'overflow-y' : 'auto', 'overflow-x' : 'hidden', 'height' : parseInt(jQuery(window).height()*0.9 - 3) + 'px'});
                            $('#TB_ajaxContent').css({'width' : '95%', 'height' : '90%'});
                        }
                    });
                    return button;
                }
                return null;
            }
        });

        // registers the plugin. DON'T MISS THIS STEP!!!
        tinymce.PluginManager.add('cr_mm', tinymce.plugins.cr_mm);

        // executes this when the DOM is ready
        jQuery(function(){
            // creates a form to be displayed everytime the button is clicked
            // you should achieve this using AJAX instead of direct html code like this
            var form = $("<div/>", {
                            "id":"cr_mm-form"
                        }).append(
                            $("<div />").append(window.parent.jQuery.noConflict()('#cr-shortcodes').clone()).html()
                        );
            form.appendTo('body').hide();
            form.find('#cr-shortcodes').fadeIn(500);
        });
    }
})(jQuery)