<?php

if ( !defined( 'ABSPATH' ) ) {
	exit;
}


if ( !class_exists( 'crazyblog_CustomizerCss' ) ) {

	class crazyblog_CustomizerCss {

		public function __construct() {

			// Setup some base variables for the plugin
			$this->basename = plugin_basename( __FILE__ );
			$this->directory_path = plugin_dir_path( __FILE__ );
			$this->directory_url = plugins_url( dirname( $this->basename ) );
		}

		public function do_hooks() {
			add_action( 'admin_menu', array( $this, 'add_menu_page' ) );
		}

		public function add_menu_page() {
			add_submenu_page( 'themes.php', __( 'Custom CSS', 'crazyblog' ), __( 'Custom CSS', 'crazyblog' ), 'edit_theme_options', 'crazyblog-css-editor', array( $this, 'custom_css_page' ) );
		}

		public function custom_css_page() {
			if ( !empty( $_POST['wds_custom_css'] ) ) {
				file_put_contents( get_template_directory() . '/assets/css/style.css', $_POST['wds_custom_css'] );
			}

			$wds_custom_css = file_get_contents( get_template_directory_uri() . '/assets/css/style.css' );

			echo "<form method='POST'>";

			wp_nonce_field( 'wds_custom_css_nonce' );

			echo "<table class='form-table'>\n";
			echo "<tr><th>" . __( 'Custom CSS', 'crazyblog' ) . "</th><td><textarea  rows='25' cols='100' name='wds_custom_css'>{$wds_custom_css}</textarea></td></tr>\n";
			echo "</td></tr>\n";
			echo "</table>";
			echo "<p><input type='submit' class='button-primary' value='" . __( 'Save', 'crazyblog' ) . "' /></p></form>";
		}

	}

	$_GLOBALS['crazyblog_CustomizerCss'] = new crazyblog_CustomizerCss;
	$_GLOBALS['crazyblog_CustomizerCss']->do_hooks();
}
