<?php

/**
 * WXR importer class used in the One Click Demo Import plugin.
 * Needed to extend the WXR_Importer class to get/set the importer protected variables,
 * for use in the multiple AJAX calls.
 *
 * @package ocdi
 */
// Include required files, if not already present (via separate plugin).
if ( !class_exists( 'WXR_Importer' ) ) {
	require CPATH . 'importer/WordPress-Importer/class-wxr-importer.php';
}

class crazyblog_WXR_Importer extends WXR_Importer {

	public function __construct( $options = array() ) {
		parent::__construct( $options );

		// Set current user to $mapping variable.
		// Fixes the [WARNING] Could not find the author for ... log warning messages.
		include (ABSPATH . '/wp-includes/pluggable.php');
		$current_user_obj = wp_get_current_user();
		$this->mapping['user_slug'][$current_user_obj->user_login] = $current_user_obj->ID;
	}

	/**
	 * Get all protected variables from the WXR_Importer needed for continuing the import.
	 */
	public function get_importer_data() {
		return array(
			'mapping' => $this->mapping,
			'requires_remapping' => $this->requires_remapping,
			'exists' => $this->exists,
			'user_slug_override' => $this->user_slug_override,
			'url_remap' => $this->url_remap,
			'featured_images' => $this->featured_images,
		);
	}

	/**
	 * Sets all protected variables from the WXR_Importer needed for continuing the import.
	 *
	 * @param array $data with set variables.
	 */
	public function set_importer_data( $data ) {
		$this->mapping = empty( $data['mapping'] ) ? array() : $data['mapping'];
		$this->requires_remapping = empty( $data['requires_remapping'] ) ? array() : $data['requires_remapping'];
		$this->exists = empty( $data['exists'] ) ? array() : $data['exists'];
		$this->user_slug_override = empty( $data['user_slug_override'] ) ? array() : $data['user_slug_override'];
		$this->url_remap = empty( $data['url_remap'] ) ? array() : $data['url_remap'];
		$this->featured_images = empty( $data['featured_images'] ) ? array() : $data['featured_images'];
	}

}
