<?php
/**
 * @version    $Id$
 * @package    CR MegaMenu
 * @author     Webinane Team <support@Webinane.com>
 * @copyright  Copyright (C) 2014 Webinane.com All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://www.Webinane.com
 * Technical Support:  Feedback - http://www.Webinane.com
 */

/**
 * Select selector field renderer.
*
* @package  CR_Megamenu
* @since    1.0.0
*/
class CR_Megamenu_Form_Field_Theme_Styles extends CR_Megamenu_Form_Field {
	/**
	 * Field type.
	 *
	 * @var  string
	 */
	protected $type = 'theme-styles';

	/**
	 * Supported content types.
	 *
	 * @var  array
	 */
	protected $choices = array();

	/**
	 * Constructor.
	 *
	 * @param   array  $config  Field declaration.
	 * @param   array  $merge   Array of property should be merged.
	 *
	 * @return  void
	 */
	public function __construct( $config, $merge = array( 'attributes', 'choices' ) ) {
		// Get all themes for mega menu
		$path = apply_filters( 'cr_megamenu_themes', CR_MEGAMENU_ROOT_PATH . 'themes' );

		$files = CR_Megamenu_Helpers_Functions::get_theme_styles( $path );
		$this->choices = $files;
		// Call parent method to do remaining initialization
		parent::__construct( $config, $merge );
	}

}
