<?php
/**
 * @version    $Id$
 * @package    CR MegaMenu
 * @author     Webinane Team <support@Webinane.com>
 * @copyright  Copyright (C) 2014 Webinane.com All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://www.Webinane.com
 * Technical Support:  Feedback - http://www.Webinane.com
 */

class CR_Megamenu_Helpers_Html_Button_Group extends CR_Megamenu_Helpers_Html {
	/**
	 * Button group
	 * @param type $element
	 * @return string
	 */
	static function render( $element ) {
		$element = parent::get_extra_info( $element );
		$label   = parent::get_label( $element );

		$output = "<div class='btn-group'>
		  <a class='btn btn-default dropdown-toggle' data-toggle='dropdown' href='#'>
			".__( 'Convert to', CR_MEGAMENU_TEXTDOMAIN )."...
			<span class='caret'></span>
		  </a>
		  <ul class='dropdown-menu'>";
		foreach ( $element['actions'] as $action ) {
			$output .= "<li><a href='#' data-action = '{$action["action"]}' data-action-type = '{$action["action_type"]}'>{$action['std']}</a></li>";
		}
		$output .= '</ul></div>';
		return parent::final_element( $element, $output, $label );
	}
}