<?php
/**
 * @version    $Id$
 * @package    CR MegaMenu
 * @author     Webinane Team <support@Webinane.com>
 * @copyright  Copyright (C) 2014 Webinane.com All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://www.Webinane.com
 * Technical Support:  Feedback - http://www.Webinane.com
 */

class CR_Megamenu_Helpers_Html_Color_Picker2 extends CR_Megamenu_Helpers_Html {
	/**
	 * Color picker
	 * @param type $element
	 * @return string
	 */
	static function render( $element ) {
		$element          = parent::get_extra_info( $element );
		$label	          = parent::get_label( $element );
		$bg_color         = ( $element['std'] ) ? $element['std'] : '#000';
		$wrap_color_class = ( isset($element['wrap_color_class']) ) ? $element['wrap_color_class'] : '';
		$_hidden          = ( ! isset( $element['hide_value']) || ( isset( $element['hide_value'] ) && $element['hide_value'] == false ) ) ? 'type="text"' : 'type="hidden"';
		
		$output = "<div class='color-selector input-group {$wrap_color_class}' id='color-picker-{$element['id']}'>
						<input {$_hidden} size='10' class='input-small {$element['class']}' id='{$element['id']}' name='{$element['id']}' value='{$element['std']}'  DATA_INFO />
						<span class='input-group-btn'>
							<a href='javascript:void(0);' class='btn btn-default btn-sm' title=''>...</a>
						</span>
					</div>";

		if ( ! CR_Megamenu_Helpers_Functions::is_modal() ) {
			CR_Megamenu_Init_Assets::load( array( 'cr-colpick-js', 'cr-colpick-css' ) );
		} else {
			add_filter( 'cr_mm_assets_enqueue_modal', array( __CLASS__, 'enqueue_assets_color' ) );
		}

		return parent::final_element( $element, $output, $label );
	}

	/**
	 * Enqueue color picker assets
	 *
	 * @param array $scripts
	 * @return array
	 */
	static function enqueue_assets_color( $scripts ){
		$scripts = array_merge( $scripts, array( 'cr-colpick-js', 'cr-colpick-css', ) );

		return $scripts;
	}
}