<?php
/**
 * @version    $Id$
 * @package    CR MegaMenu
 * @author     Webinane Team <support@Webinane.com>
 * @copyright  Copyright (C) 2014 Webinane.com All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://www.Webinane.com
 * Technical Support:  Feedback - http://www.Webinane.com
 */

/**
 * HTML editor class use jquery-te 3rd-party.
 *
 * @package  CR_Megamenu
 * @since    2.1.0
 */
class CR_Megamenu_Helpers_Html_Editor extends CR_Megamenu_Helpers_Html {
	
	/**
	 * Render editor using jquery-te library
	 * 
	 * @param type $element
	 * @return type
	 */
	static function render( $element ) {
		$element = parent::get_extra_info( $element );
		$label = parent::get_label( $element );
		$element['row'] = ( isset( $element['row'] ) ) ? $element['row'] : '8';
		$element['col'] = ( isset( $element['col'] ) ) ? $element['col'] : '50';
		if ( @$element['exclude_quote'] == '1' ) {
			$element['std'] = str_replace( '<cr_quote>', '"', $element['std'] );
		}
		$output = "<textarea class='{$element['class']} cr_mm_editor' id='{$element['id']}' rows='{$element['row']}' cols='{$element['col']}' name='{$element['id']}' DATA_INFO>{$element['std']}</textarea>";
		
		add_filter( 'cr_mm_assets_register_modal', array( __CLASS__, 'register_assets_register_modal' ) );
		add_filter( 'cr_mm_assets_enqueue_modal', array( __CLASS__, 'enqueue_assets_modal' ) );
		
		return parent::final_element( $element, $output, $label, true );
	}
	
	/**
	 * Register jquery-te assets
	 *
	 * @param array $scripts
	 * @return array
	 */
	static function register_assets_register_modal( $assets ){
		$assets['cr-mm-jquery-te-js'] = array(
			'src' => 'assets/3rd-party/jquery-te/jquery-te-1.4.0.min.js',
			'ver' => '1.4.0',
		);
		$assets['cr-mm-jquery-te-css'] = array(
			'src' => 'assets/3rd-party/jquery-te/jquery-te-1.4.0.css',
			'ver' => '1.4.0',
		);
	
		return $assets;
	}
	
	/**
	 * Enqueue jquery-te assets
	 *
	 * @param array $scripts
	 * @return array
	 */
	static function enqueue_assets_modal( $scripts ){
		$scripts = array_merge( $scripts, array( 'cr-mm-jquery-te-js', 'cr-mm-jquery-te-css' ) );
	
		return $scripts;
	}
	
}