<?php
/**
 * @version    $Id$
 * @package    CR MegaMenu
 * @author     Webinane Team <support@Webinane.com>
 * @copyright  Copyright (C) 2014 Webinane.com All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://www.Webinane.com
 * Technical Support:  Feedback - http://www.Webinane.com
 */

class CR_Megamenu_Helpers_Html_Icons extends CR_Megamenu_Helpers_Html {
	/**
	 * Icons
	 * @param type $element
	 * @return string
	 */
	static function render( $element ) {
		$element = parent::get_extra_info( $element );
		$label   = parent::get_label( $element );
		$item_id = isset($element['item_id']) ? $element['item_id'] : '';
		$icon_id = ($item_id != '' ) ? '-' . $item_id : '';
		$output  = "<div id='icon_selector".$icon_id."' class='icon_selector' data-item_id='".$item_id."'>
			<input type='hidden' value='{$element['std']}' id='{$element['id']}' DATA_INFO />
		</div>";
		if ( CR_Megamenu_Helpers_Functions::is_modal() ) {
			add_filter( 'cr_mm_assets_enqueue_modal', array( __CLASS__, 'enqueue_assets_modal' ) );
		} else {
			CR_Megamenu_Init_Assets::load( array( 'cr-joomlashine-iconselector-js' ) );
		}

		return parent::final_element( $element, $output, $label );
	}

	/**
	 * Enqueue icon selector assets
	 *
	 * @param array $scripts
	 * @return array
	 */
	static function enqueue_assets_modal( $scripts ){
		$scripts = array_merge( $scripts, array( 'cr-joomlashine-iconselector-js', ) );

		return $scripts;
	}
}