<?php
/**
 * @version    $Id$
 * @package    CR MegaMenu
 * @author     Webinane Team <support@Webinane.com>
 * @copyright  Copyright (C) 2014 Webinane.com All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://www.Webinane.com
 * Technical Support:  Feedback - http://www.Webinane.com
 */

class CR_Megamenu_Helpers_Html_Radio_Group extends CR_Megamenu_Helpers_Html {
	/**
	 * Radio Button group
	 * @param type $element
	 * @return string
	 */
	static function render( $element ) {
		$element = parent::get_extra_info( $element );
		$label   = parent::get_label( $element );

		$output = "<div class='radio-group cr-btn-radio'>";
		foreach ( $element['options'] as $key => $text ) {
			$checked = ( $key == $element['std'] ) ? 'checked' : '';
			$output .= " <label class='radio-inline'><input type='radio' name='{$element['id']}' $checked id='{$element['id']}' class='cr_has_depend' value='$key'/>$text</label>";
		}
		$output .= '</div>';

		return parent::final_element( $element, $output, $label );
	}
}