<?php
/**
 * @version    $Id$
 * @package    CR MegaMenu
 * @author     Webinane Team <support@Webinane.com>
 * @copyright  Copyright (C) 2014 Webinane.com All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://www.Webinane.com
 * Technical Support:  Feedback - http://www.Webinane.com
 */

/**
 * CR_Megamenu assets initialization.
 * @package  CR_Megamenu
 * @since	1.0.0
 */
class CR_Megamenu_Assets
{
	/**
	 * Assets to be registered.
	 * @var  array
	 */
	protected static $assets = array(

		/**
		 * Third party assets.
		 */
		/**
		 * Bootstrap 3 based assets.
		 */
		'cr-mm-bootstrap3-css' => array(
			'src' => 'assets/3rd-party/bs3/bootstrap/css/bootstrap.min.css',
			'ver' => '3.0.0',
		),

		'cr-mm-bootstrap3-responsive-css' => array(
			'src' => 'assets/3rd-party/bs3/bootstrap/css/bootstrap-responsive.min.css',
			'deps' => array( 'cr-mm-bootstrap3-css' ),
		),

		'cr-mm-bootstrap3-icomoon-css' => array(
			'src' => 'assets/3rd-party/bs3/font-icomoon/css/icomoon.css',
			'deps' => array( 'cr-mm-bootstrap3-css' ),
		),

		'cr-classygradient-css' => array(
			'src'  => 'assets/3rd-party/classygradient/css/jquery.classygradient.css',
			'deps' => array( 'cr-colorpicker-css' ),
			'ver'  => '1.0.0',
		),

		'cr-classygradient-js' => array(
			'src'  => 'assets/3rd-party/classygradient/js/jquery.classygradient.js',
			'deps' => array( 'jquery-ui-draggable', 'cr-colorpicker-js' ),
			'ver'  => '1.0.0',
		),

		'cr-colorpicker-css' => array(
			'src' => 'assets/3rd-party/colorpicker/css/colorpicker.css',
		),

		'cr-colorpicker-js' => array(
			'src'  => 'assets/3rd-party/colorpicker/js/colorpicker.js',
			'deps' => array( 'jquery' )
		),

		'cr-mm-fontselector-js' => array(
			'src' => 'assets/3rd-party/joomlashine/js/jsn-fontselector.js',
		),

		'cr-font-icomoon-css' => array(
			'src' => 'assets/3rd-party/font-icomoon/css/icomoon.css',
		),

		'cr-joomlashine-css' => array(
			'src'  => 'assets/3rd-party/joomlashine/css/jsn-gui.css',
			'deps' => array( 'cr-mm-bootstrap3-css' ),
		),

		'cr-joomlashine-iconselector-js' => array(
			'src'  => 'assets/3rd-party/joomlashine/js/jsn-iconselector.js',
			'deps' => array( 'jquery' )
		),

		'cr-joomlashine-modalresize-js' => array(
			'src'  => 'assets/3rd-party/joomlashine/js/jsn-modalresize.js',
			'deps' => array( 'jquery' )
		),

		'cr-jquery-easing-js' => array(
			'src'  => 'assets/3rd-party/jquery-easing/jquery.easing.min.js',
			'deps' => array( 'jquery' ),
			'ver'  => '1.3',
		),

		'cr-jquery-lazyload-js' => array(
			'src'  => 'assets/3rd-party/jquery-lazyload/jquery.lazyload.js',
			'deps' => array( 'jquery' ),
			'ver'  => '1.8.4',
		),

		'cr-jquery-livequery-js' => array(
			'src'  => 'assets/3rd-party/jquery-livequery/jquery.livequery.min.js',
			'deps' => array( 'jquery' ),
			'ver'  => '1.3.4',
		),

		'cr-jquery-resize-js' => array(
			'src'  => 'assets/3rd-party/jquery-resize/jquery.ba-resize.js',
			'deps' => array( 'jquery' ),
			'ver'  => '1.1',
		),

		'cr-jquery-select2-css' => array(
			'src' => 'assets/3rd-party/jquery-select2/select2.css',
			'ver' => '3.3.2',
		),

		'cr-jquery-select2-js' => array(
			'src'  => 'assets/3rd-party/jquery-select2/select2.js',
			'deps' => array( 'jquery' ),
			'ver'  => '3.3.2',
		),

		'cr-jquery-select2-bootstrap3-css' => array(
			'src' => 'assets/3rd-party/jquery-select2/select2-bootstrap3.css',
			'ver' => '3.3.2',
		),

		'cr-jquery-tipsy-css' => array(
			'src' => 'assets/3rd-party/jquery-tipsy/tipsy.css',
			'ver' => '1.0.0a',
		),

		'cr-jquery-tipsy-js' => array(
			'src'  => 'assets/3rd-party/jquery-tipsy/jquery.tipsy.js',
			'deps' => array( 'jquery' ),
			'ver'  => '1.0.0a',
		),

		'cr-jquery-ui-css' => array(
			'src' => 'assets/3rd-party/jquery-ui/css/ui-bootstrap/jquery-ui-1.9.0.custom.css',
			'ver' => '1.9.0',
		),

		'cr-form-css' => array(
			'src'  => 'assets/Webinane/css/form.css',
			'deps' => array( 'cr-jquery-ui-css', 'cr-joomlashine-css', 'cr-jquery-tipsy-css' ),
		),

		'cr-form-js' => array(
			'src'  => 'assets/Webinane/js/form.js',
			'deps' => array( 'jquery-ui-tabs', 'cr-jquery-tipsy-js' ),
		),

		'cr-mm-js' => array(
			'src'  => 'assets/js/megamenu.js',
			'deps' => array( 'cr-mm-layout-js' )
		),
		'cr-mm-css' => array(
			'src' => 'assets/css/backend.css',
		),
		'cr-mm-popover-js' => array(
			'src' => 'assets/js/popover.js',
		),
		'cr-mm-confirmation-js' => array(
			'src' => 'assets/js/bootstrap3-confirmation.js',
		),
		'cr-mm-element-font-css' => array(
			'src' => 'assets/3rd-party/cr-element-font/css/cr-element-font.css',
			'ver' => '1.0.0',
		),
		'cr-mm-layout-font-css' => array(
			'src' => 'assets/3rd-party/cr-layout-font/css/cr-layout-font.css',
			'ver' => '1.0.0',
		),

		'cr-mm-icon-options-js' => array(
			'src' => 'assets/js/icon-options.js',
			'ver' => '1.0.0',
		),

		'cr-font-awesome-css' => array(
			'src' => 'assets/3rd-party/font-awesome/css/font-awesome.min.css',
			'ver' => '4.3.0',
		),
	);

	/**
	 * Initialize CR MegaMenu assets.
	 * @return  void
	 */
	public static function init() {
		add_filter( 'cr_mm_register_assets', array( __CLASS__, 'cr_mm_register_assets' ) );
		add_filter( 'cr_mm_asset_hook_prefix', array( __CLASS__, 'cr_mm_hook_prefix' ) );
		add_action( 'admin_head', array( __CLASS__, 'load_assets' ), 99 );
	}

	public static function load_assets() {
		global $pagenow, $post_type;
		// Load common assets

		if ( is_admin() ) {
			$page_setting = (isset($_GET['page']) ) ? $_GET['page']: '';
			
			if ( ( $pagenow == 'nav-menus.php' ) || ( $post_type == 'cr_megamenu_profile' ) || ( $page_setting == 'cr-megamenu-settings' ) || ( $page_setting == 'cr-menu-addons' ) ) {
				CR_Megamenu_Init_Assets::load( array( 'cr-mm-bootstrap3-css', 'cr-bootstrap3-js', 'cr-joomlashine-css', 'cr-mm-css' ) );
				CR_Megamenu_Init_Assets::load( array( 'cr-font-icomoon-css', 'cr-font-awesome-css' ) );
				CR_Megamenu_Init_Assets::load( array( 'cr-jquery-ui-css', 'cr-jquery-select2-css', 'cr-jquery-select2-bootstrap3-css', 'cr-mm-admin-css' ) );
			}

			if ( 'admin.php' == $pagenow && isset( $_GET[ 'page' ] ) && in_array( $_GET[ 'page' ], CR_Megamenu_Admin_Menu::$pages ) ) {
				// Add filter to register assets to be loaded
				switch ( $_GET[ 'page' ] ) {
					case 'cr-megamenu-settings':
						// Load required assets
						CR_Megamenu_Init_Assets::load( array( 'cr-form-css', 'cr-form-js' ) );
						break;

					case 'cr-menu-addons':
						// Load required assets
						CR_Megamenu_Init_Assets::load( array( 'cr-addons-css', 'cr-addons-js' ) );
						break;

				}
			} else {
				if ( ( 'post.php' == $pagenow || 'post-new.php' == $pagenow || 'widgets.php' == $pagenow ) && ( $post_type == 'cr_megamenu_profile' ) ) {
					if ( class_exists( 'CR_Pb_Init' ) ) {
						global $Cr_Pb_Widgets;
						$Cr_Pb_Widgets = array();
					}
					// Load css
					CR_Megamenu_Init_Assets::load( array( 'cr-mm-element-font-css', 'cr-mm-layout-font-css'  ) );

					// Load js
					if ( function_exists( 'wp_enqueue_media' ) ) {
						wp_enqueue_media();
					} else {
						wp_enqueue_style( 'thickbox' );
						wp_enqueue_script( 'media-upload' );
						wp_enqueue_script( 'thickbox' );
					}

					$scripts = array( 'jquery', 'jquery-ui', 'jquery-ui-resizable', 'jquery-ui-sortable', 'jquery-ui-tabs', 'jquery-ui-dialog', 'jquery-ui-button', 'jquery-ui-slider', 'cr-jquery-livequery-js', 'jquery-resize-js', 'cr-joomlashine-modalresize-js', 'cr-jquery-select2-js' );

					CR_Megamenu_Init_Assets::load( $scripts );

					CR_Megamenu_Init_Assets::load( array( 'cr-mm-js' ) );

					$scripts = array( 'cr-mm-layout-js', 'cr-mm-placeholder' );
					CR_Megamenu_Init_Assets::load( apply_filters( 'cr_mm_assets_enqueue_admin', $scripts ) );


					CR_Megamenu_Init_Assets::load( 'cr-mm-modal-js' );

					CR_Megamenu_Init_Assets::load( array( 'cr-colorpicker-js', 'cr-colorpicker-css' ) );

					// Load element editor script
					CR_Megamenu_Init_Assets::load( 'cr-mm-handleelement-js' );

					// Load element settings script
					CR_Megamenu_Init_Assets::load( 'cr-mm-handlesetting-js' );

					// Load ZeroClipboard JavaScript library for Shortcode Content tab
					CR_Megamenu_Init_Assets::load( 'cr-zeroclipboard-js' );

					CR_Megamenu_Init_Assets::load( 'cr-mm-widget-js' );

					CR_Megamenu_Helpers_Functions::cr_localize();
				}
			}
		} else {
			CR_Megamenu_Init_Assets::load( array( 'cr-mm-bootstrap3-css', 'cr-bootstrap3-js', 'cr-joomlashine-css', 'cr-mm-css' ) );
			CR_Megamenu_Init_Assets::load( array( 'cr-font-icomoon-css', 'cr-font-awesome-css' ) );
		}

	}

	/**
	 * Set hook prefix for loading assets.
	 * @param   string $prefix Current hook prefix.
	 * @return  string
	 */
	public static function cr_mm_hook_prefix( $prefix = '' )
	{
		if ( 'admin' == $prefix && class_exists( 'CR_Megamenu_Helpers_Functions' ) && CR_Megamenu_Helpers_Functions::is_modal() ) {
			$prefix = 'mm_admin';
		}

		return $prefix;
	}


	/**
	 * Apply 'cr_mm_register_assets' filter.
	 * @param   array $assets Current assets.
	 * @return  array
	 */
	public static function cr_mm_register_assets( $assets = array() )
	{
		// Prepare assets path
		self::$assets = CR_Megamenu_Init_Assets::prepare( self::$assets, basename( dirname( dirname( dirname( __FILE__ ) ) ) ) );

		if ( ! is_admin() ) {
			$assets[ 'cr-mm-bootstrap-css' ] = array(
				'src' => CR_MEGAMENU_ROOT_URL . 'assets/3rd-party/bs3/bootstrap/css/bootstrap_frontend.min.css',
				'ver' => '3.0.2',
			);
			$assets[ 'cr-mm-bootstrap-js' ] = array(
				'src'  => CR_MEGAMENU_ROOT_URL . 'assets/3rd-party/bs3/bootstrap/js/bootstrap_frontend.min.js',
				'ver'  => '3.0.2',
				'deps' => array( 'jquery' ),
			);
		}

		$assets[ 'cr-mm-modal-js' ] = array(
			'src' => CR_MEGAMENU_ROOT_URL . 'assets/Webinane/js/modal.js',
			'ver' => '1.0.0',
		);

		$assets[ 'cr-mm-handleelement-js' ] = array(
			'src' => CR_MEGAMENU_ROOT_URL . 'assets/Webinane/js/handle_element.js',
			'ver' => '1.0.0',
		);

		$assets[ 'cr-mm-handlesetting-js' ] = array(
			'src' => CR_MEGAMENU_ROOT_URL . 'assets/Webinane/js/handle_setting.js',
			'ver' => '1.0.0',
		);

		$assets[ 'cr-zeroclipboard-js' ] = array(
			'src' => CR_MEGAMENU_ROOT_URL . 'assets/3rd-party/zeroclipboard/ZeroClipboard.min.js',
			'ver' => '1.3.5',
		);

		$assets[ 'cr-mm-premade-pages-js' ] = array(
			'src' => CR_MEGAMENU_ROOT_URL . 'assets/Webinane/js/premade-pages/premade.js',
			'ver' => '1.0.0',
		);

		$assets[ 'cr-mm-admin-css' ] = array(
			'src' => CR_MEGAMENU_ROOT_URL . 'assets/Webinane/css/form_design.css',
			'ver' => '1.0.0',
		);
		// $assets[ 'cr-mm-jquery-easing-js' ] = array(
		// 'src' => CR_MEGAMENU_ROOT_URL . 'assets/3rd-party/jquery-easing/jquery.easing.min.js',
		// 'ver' => '1.3',
		// );
		$assets[ 'cr-mm-layout-js' ] = array(
			'src'  => CR_MEGAMENU_ROOT_URL . 'assets/Webinane/js/layout.js',
			'deps' => array( 'cr-jquery-easing-js' ),
			'ver'  => '1.0.0',
		);
		$assets[ 'cr-mm-widget-js' ] = array(
			'src' => CR_MEGAMENU_ROOT_URL . 'assets/Webinane/js/widget.js',
			'ver' => '1.0.0',
		);
		$assets[ 'cr-mm-placeholder' ] = array(
			'src' => CR_MEGAMENU_ROOT_URL . 'assets/Webinane/js/placeholder.js',
			'ver' => '1.0.0',
		);

		$assets[ 'cr-mm-jqueryfancybox-css' ] = array(
			'src' => CR_MEGAMENU_ROOT_URL . 'assets/3rd-party/jquery-fancybox/jquery.fancybox-1.3.4.css',
			'ver' => '1.3.4',
		);

		$assets[ 'cr-mm-jqueryfancybox-js' ] = array(
			'src' => CR_MEGAMENU_ROOT_URL . 'assets/3rd-party/jquery-fancybox/jquery.fancybox-1.3.4.js',
			'ver' => '1.3.4',
		);
		
		$assets[ 'cr-mm-imagefrontend-js' ] = array(
			'src' => CR_MEGAMENU_ROOT_URL . 'shortcodes/image/assets/js/image_frontend.js',
		);
	
		return array_merge( $assets, self::$assets );
	}
}
