<?php
/**
 * @version    $Id$
 * @package    CR MegaMenu
 * @author     Webinane Team <support@Webinane.com>
 * @copyright  Copyright (C) 2014 Webinane.com All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://www.Webinane.com
 * Technical Support:  Feedback - http://www.Webinane.com
 */

add_action( 'cr_mm_addon', 'cr_mm_sc_init' );

function cr_mm_sc_init() {

	/**
	 * Main class to init Shortcodes
	 * for CR MegaMenu
	 *
	 * @package  CR MegaMenu Shortcodes
	 * @since	1.0.0
	 */
	class CR_Megamenu_Builtin_Shortcode extends CR_Megamenu_Addon {
		public function __construct() {
			// Addon information
			$this->set_provider(
				array(
					'name'			 => __( 'Standard Elements', CR_MEGAMENU_TEXTDOMAIN ),
					'file'			 => __FILE__,
					'shortcode_dir'	=> CR_MEGAMENU_ROOT_PATH . 'shortcodes',
					'js_shortcode_dir' => 'assets/Webinane/js/shortcodes',
				)
			);

			//$this->custom_assets();
			// call parent construct
			parent::__construct();

			add_filter( 'plugin_action_links', array( &$this, 'plugin_action_links' ), 10, 2 );
		}

		/**
		 * Regiter & enqueue custom assets
		 */
		public function custom_assets() {
			// register custom assets
			$this->set_assets_register(
				array(
					'cr-frontend-free-css' => array(
						'src' => plugins_url( 'assets/css/main.css', dirname( __FILE__ ) ),
						'ver' => '1.0.0',
					),
					'cr-frontend-free-js'  => array(
						'src' => plugins_url( 'assets/js/main.js', dirname( __FILE__ ) ),
						'ver' => '1.0.0',
					)
				)
			);
			// enqueue assets for WP Admin pages
			$this->set_assets_enqueue_admin( array( 'cr-frontend-free-css' ) );
			// enqueue assets for CR Modal setting iframe
			$this->set_assets_enqueue_modal( array( 'cr-frontend-free-js' ) );
			// enqueue assets for WP Frontend
			$this->set_assets_enqueue_frontend( array( 'cr-frontend-free-css', 'cr-frontend-free-js' ) );
		}

		/**
		 * Remove deactivate link
		 *
		 * @staticvar type $this_plugin
		 *
		 * @param type $links
		 * @param type $file
		 *
		 * @return type
		 */
		public function plugin_action_links( $links, $file ) {
			static $this_plugin;

			if ( ! $this_plugin ) {
				$this_plugin = plugin_basename( __FILE__ );
			}
			if ( $file == $this_plugin ) {
				unset ( $links['deactivate'] );
			}

			return $links;
		}

	}

	$this_ = new CR_Megamenu_Builtin_Shortcode();
}