<?php
if (!defined("crazyblog_DIR"))
    die('!!!');

class crazyblog_news_ticker_VC_ShortCode extends crazyblog_VC_ShortCode {

    public static function crazyblog_news_ticker_vc($atts = null, $contents = '') {
        if ($atts == 'crazyblog_Shortcodes_Map') {
            return array(
                "name" => esc_html__("News Ticker", 'crazyblog'),
                "base" => "crazyblog_news_ticker",
                "icon" => crazyblog_URI . 'core/duffers_panel/panel/public/img/vc-icons/About-Us-Custom-Contents.png',
                "category" => esc_html__('CBlog', 'crazyblog'),
                "params" => array(
                    array(
                        "type" => "textfield",
                        "class" => "",
                        "heading" => esc_html__('New Heading', 'samaan'),
                        "description" => esc_html__('Enter the News Heading'),
                        "param_name" => "news_heading",
                    ),
                    array(
                        'type' => 'colorpicker',
                        'class' => '',
                        'admin_label' => false,
                        'heading' => esc_html__('Heading Background Color', 'eternity'),
                        'param_name' => 'heading_bg',
                        'description' => esc_html__('Choose heading the background color.', 'eternity'),
                    ),
                    array(
                        'type' => 'colorpicker',
                        'class' => '',
                        'admin_label' => false,
                        'heading' => esc_html__('Heading Color', 'eternity'),
                        'param_name' => 'heading_clr',
                        'description' => esc_html__('Choose heading font Color.', 'eternity'),
                    ),
                    array(
                        'type' => 'colorpicker',
                        'class' => '',
                        'admin_label' => false,
                        'heading' => esc_html__('News Section Background Color', 'eternity'),
                        'param_name' => 'news_section_bg',
                        'description' => esc_html__('Choose news section background color.', 'eternity'),
                    ),
                    array(
                        'type' => 'colorpicker',
                        'class' => '',
                        'admin_label' => false,
                        'heading' => esc_html__('News Section borderd Color', 'eternity'),
                        'param_name' => 'news_section_brd',
                        'description' => esc_html__('Choose news section border color.', 'eternity'),
                    ),
                    array(
                        'type' => 'colorpicker',
                        'class' => '',
                        'admin_label' => false,
                        'heading' => esc_html__('News Section Font Color', 'eternity'),
                        'param_name' => 'news_section_clr',
                        'description' => esc_html__('Choose news section font color.', 'eternity'),
                    ),
                    array(
                        'type' => 'colorpicker',
                        'class' => '',
                        'admin_label' => false,
                        'heading' => esc_html__('News Section Controls BAckground', 'eternity'),
                        'param_name' => 'news_section_cntr_bg',
                        'description' => esc_html__('Choose the background color for controls.', 'eternity'),
                    ),
                    array(
                        'type' => 'param_group',
                        'value' => '',
                        "heading" => esc_html__('News', 'eternity'),
                        'param_name' => 'all_news',
                        "show_settings_on_create" => true,
                        'params' => array(
                            array(
                                'type' => 'textfield',
                                'class' => "",
                                'admin_label' => true,
                                'heading' => esc_html__('Add News', 'eternity'),
                                'param_name' => 'news',
                            ),
                            array(
                                'type' => 'textfield',
                                'class' => "",
                                'admin_label' => true,
                                'heading' => esc_html__('News Link', 'eternity'),
                                'param_name' => 'news_link',
                            ),
                        ),
                    ),
                )
            );
        }
    }

    public static function crazyblog_news_ticker($atts, $contents = null) {
        include crazyblog_ROOT . 'core/application/library/shortcodes/shortcode_atts.php';
        ob_start();
        include crazyblog_ROOT . 'core/application/library/shortcodes/shortcode_defaut_atts_output.php';
        $all_news = (json_decode(urldecode($all_news)));
        if (!empty($all_news)):
            $int_id = 'ticker' . uniqid();
            $data_id = 'newsData' . uniqid();
            $prev_id = 'prevDiv' . uniqid();
            $next_id = 'nextDiv' . uniqid();
            $play = 'play' . uniqid();
            $pause = 'pause' . uniqid();
            ?>
            <div class="cbnewsticker">
                <div class="heading-newtick" <?php echo ($heading_bg) ? 'style="background:' . esc_attr($heading_bg) . ';border-color:' . esc_attr($heading_bg) . ';"' : ''; ?>>
                    <div class="header_text" <?php echo ($heading_clr) ? 'style="color:' . esc_attr($heading_clr) . ';"' : ''; ?>>
                        <?php echo esc_html($news_heading, 'crazyblog'); ?>
                    </div>
                </div>
                <div class="news_content" <?php echo ($news_section_brd) ? 'style="border-color:' . esc_attr($news_section_brd) . ';"' : ''; ?>>
                <ul id="<?php echo esc_attr($int_id); ?>" class="news_tick" <?php echo ($news_section_bg) ? 'style="background:' . esc_attr($news_section_bg) . ';"' : ''; ?>>
                    <?php foreach ($all_news as $single_news): ?>
                    <a href="<?php echo esc_url(crazyblog_set($single_news, 'news_link'), 'crazyblog'); ?>"> <li <?php echo ($news_section_clr) ? 'style="color:' . esc_attr($news_section_clr) . ';"' : ''; ?>><?php echo esc_html(crazyblog_set($single_news, 'news'), 'crazyblog'); ?></li></a>
                    <?php endforeach; ?>
                </ul>
                </div>
                <div class="newstick_controls" <?php echo ($news_section_cntr_bg) ? 'style="background:' . esc_attr($news_section_cntr_bg) . ';"' : ''; ?>>                              
                    <div class="tickpushplay"><i class="fa fa-play" id="<?php echo esc_attr($play); ?>"></i></div>
                    <div class="tickpushplay"><i class="fa fa-pause" id="<?php echo esc_attr($pause); ?>"></i></div>                
                </div>
            </div>
            <?php
            crazyblog_View::get_instance()->crazyblog_enqueue_scripts(array('df-owl'));
            $custom_script = 'jQuery(document).ready(function ($) {
                            var owl' . $int_id . '="#' . $int_id . '";
				$("#' . $int_id . '").owlCarousel({
					autoplay:true,
					autoplayTimeout: 2500,
					smartSpeed: 2000,
					autoplayHoverPause: true,
					loop: true,
					dots: false,
					nav: true,
					margin: 0,
					mouseDrag: true,
					singleItem: true,
					items: 2,
                                        autoplayHoverPause:true					
				});
                                $("#' . $play . '").on("click",function(){
                                    $("#' . $int_id . '").trigger("play.#' . $int_id . '.autoplay",[1000])
                                })
                            $("#' . $pause . '").on("click",function(){
                               $("#' . $int_id . '").trigger("stop.#' . $int_id . '.autoplay")
                                })
                                
            });
            ';
            wp_add_inline_script('crazyblog_df-owl', $custom_script);

        endif;
        $output = ob_get_contents();
        ob_clean();
        return $output;
    }

}
