<?php
if ( !defined( "crazyblog_DIR" ) )
	die( '!!!' );

class crazyblog_weekly_featured_posts_VC_ShortCode extends crazyblog_VC_ShortCode {

	public static function crazyblog_weekly_featured_posts_vc( $atts = null, $contents = '' ) {

		if ( $atts == 'crazyblog_Shortcodes_Map' ) {

			return array(
				"name" => esc_html__( "Weekly Featured Posts", 'crazyblog' ),
				"base" => "crazyblog_weekly_featured_posts_outpupt",
				"icon" => crazyblog_URI . 'core/duffers_panel/panel/public/img/vc-icons/About-Us-Custom-Contents.png',
				"category" => esc_html__( 'CBlog', 'crazyblog' ),
				"params" => array(
					array(
						"type" => "textfield",
						"heading" => esc_html__( 'Number of Posts', 'crazyblog' ),
						"param_name" => "number",
						"description" => esc_html__( 'Enter the number of posts to show', 'crazyblog' )
					),
					array(
						"type" => "textfield",
						"heading" => esc_html__( 'Content Words', 'crazyblog' ),
						"param_name" => "char",
						"description" => esc_html__( 'Enter the number of content words', 'crazyblog' )
					),
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__( 'Select Categories', 'crazyblog' ),
						"param_name" => "cat",
						"value" => array_flip( crazyblog_get_categories( array( 'taxonomy' => 'category', 'hide_empty' => true ), true ) ),
						"description" => esc_html__( 'Choose posts categories for which posts you want to show', 'crazyblog' )
					),
					array(
						"type" 			=> "checkbox",
						"class" 		=> "",
						"heading" 		=> esc_html__( "Hide Author Name", 'crazyblog' ),
						"param_name" 	=> "show_author",
						"value" => array(
							esc_html__( 'Yes', 'crazyblog' ) => 'on',
						),
						"description" 	=> esc_html__( "Enable to hide author name.", 'crazyblog' ),
					),
					array(
						"type" 			=> "checkbox",
						"class" 		=> "",
						"heading" 		=> esc_html__( "Hide Comment", 'crazyblog' ),
						"param_name" 	=> "show_comment",
						"value" => array(
							esc_html__( 'Yes', 'crazyblog' ) => 'on',
						),
						"description" 	=> esc_html__( "Enable to hide comment.", 'crazyblog' ),
					),
					array(
						"type" 			=> "checkbox",
						"class" 		=> "",
						"heading" 		=> esc_html__( "Hide Post Views", 'crazyblog' ),
						"param_name" 	=> "show_post_view",
						"value" => array(
							esc_html__( 'Yes', 'crazyblog' ) => 'on',
						),
						"description" 	=> esc_html__( "Enable to hide post views.", 'crazyblog' ),
					),
					array(
						"type" 			=> "checkbox",
						"class" 		=> "",
						"heading" 		=> esc_html__( "Hide Social Icons", 'crazyblog' ),
						"param_name" 	=> "show_social_icon",
						"value" => array(
							esc_html__( 'Yes', 'crazyblog' ) => 'on',
						),
						"description" 	=> esc_html__( "Enable to hide social icons.", 'crazyblog' ),
					),
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__( 'Order', 'crazyblog' ),
						"param_name" => "order",
						"value" => array(
							esc_html__( 'Ascending', 'crazyblog' ) => 'ASC',
							esc_html__( 'Descending', 'crazyblog' ) => 'DESC'
						),
						"description" => esc_html__( "Select sorting order ascending or descending for posts listing", 'crazyblog' )
					),
					array(
						"type" => "dropdown",
						"class" => "",
						"heading" => esc_html__( "Order By", 'crazyblog' ),
						"param_name" => "orderby",
						"value" => array_flip(
							array(
								'date' => esc_html__( 'Date', 'crazyblog' ),
								'title' => esc_html__( 'Title', 'crazyblog' ),
								'name' => esc_html__( 'Name', 'crazyblog' ),
								'author' => esc_html__( 'Author', 'crazyblog' ),
								'comment_count' => esc_html__( 'Comment Count', 'crazyblog' ),
								'viewed' => esc_html__( 'Most Viewed', 'crazyblog' ),
								'random' => esc_html__( 'Random', 'crazyblog' )
							)
						),
						"description" => esc_html__( "Select order by method for posts listing", 'crazyblog' )
					),
					array(
						"type" => "checkbox",
						"class" => "",
						"heading" => esc_html__( "Show Pagination", 'crazyblog' ),
						"param_name" => "pagination",
						"value" => array_flip( array( 'true' => esc_html__( 'True', 'crazyblog' ) ) ),
						"description" => esc_html__( "Enable pagination for ajax loading post", 'crazyblog' )
					),
				)
			);
}
}

public static function crazyblog_weekly_featured_posts_outpupt( $atts, $contents = null ) {
	include crazyblog_ROOT . 'core/application/library/shortcodes/shortcode_atts.php';
	ob_start();
	include crazyblog_ROOT . 'core/application/library/shortcodes/shortcode_defaut_atts_output.php';
	global $wp_query;
	$paged = (isset( $wp_query->query['paged'] )) ? $wp_query->query['paged'] : 1;
	if($orderby=='orderby'){
		$args = array(
			'post_type' => 'post',
			'post_status' => 'publish',
			'orderby' => $orderby,
			'order' => $order,
			'showposts' => $number,
			'category_name' => $cat,
			'posts_per_page' => get_option( 'posts_per_page' ),
			'paged' => $paged,
			'meta_key' => 'crazyblog_post_views', 
			'orderby' => 'meta_value_num',
		);
	}else{
		$args = array(
			'post_type' => 'post',
			'post_status' => 'publish',
			'orderby' => $orderby,
			'order' => $order,
			'showposts' => $number,
			'category_name' => $cat,
			'posts_per_page' => get_option( 'posts_per_page' ),
			'paged' => $paged,
		);
	}

	$query = new WP_Query( $args );
	if ( $query->have_posts() ) {
		echo '<div class="weekly-featured-posts">';
		while ( $query->have_posts() ) {
			$query->the_post();
			$format = get_post_format();
			$post_meta = get_post_meta( get_the_ID(), 'crazyblog_post_meta', true );
			$meta = crazyblog_set( crazyblog_set( $post_meta, 'crazyblog_post_format_options' ), '0' );
			$view = (get_post_meta( get_the_ID(), 'crazyblog_post_views', true )) ? get_post_meta( get_the_ID(), 'crazyblog_post_views', true ) : '0';
			$num_words = ($char) ? $char : 22;
			?>
			<div class="weekly-post">
				<div class="weekly-post-thumb">
					<?php if ( $format == 'video' ): ?>
						<a class="image-link" href="<?php the_permalink() ?>" title=""><?php the_post_thumbnail( 'crazyblog_454x344' ) ?></a>
						<?php
						if ( crazyblog_set( $meta, 'crazyblog_post_video_link' ) != '' ):
							crazyblog_View::get_instance()->crazyblog_enqueue_scripts( array( 'df-poptrox' ) );
							?>
							<span class="lightbox">
								<a href="<?php echo crazyblog_set( $meta, 'crazyblog_post_video_link' ) ?>" title="" class="cat-btn">
									<?php esc_html_e( 'Video ', 'crazyblog' ) ?><i class="fa fa-play"></i>
								</a>
							</span>
							<?php
							$custom_script = 'jQuery(document).ready(function ($) {
								$("span.lightbox").poptrox({
									usePopupCaption: false,
									usePopupNav: false,
								});
							});';
							wp_add_inline_script( 'crazyblog_df-poptrox', $custom_script );
						endif;
						?>
					<?php else: ?>
						<a class="image-link" href="<?php the_permalink() ?>" title=""><?php the_post_thumbnail( 'crazyblog_454x344' ) ?></a>
					<?php endif; ?>
				</div>
				<div class="weekly-post-detail">
					<ul class="meta">
						<?php if ( 'on' !== $show_author ) : ?>
							<li><?php esc_html_e( 'By ', 'crazyblog' ); ?><a title="" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php the_author(); ?></a></li>
						<?php endif; // show_author. ?>
						<li><?php echo human_time_diff( get_the_time( 'U' ), current_time( 'timestamp' ) ) ?><?php esc_html_e( ' AGO', 'crazyblog' ) ?></li>
					</ul>
					<h2><a href="<?php the_permalink() ?>" title="<?php the_title() ?>"><?php the_title() ?></a></h2>
					<p>
						<?php
						$patterns = "/\[[\/]?vc_[^\]]*\]/";
						$replacements = "";
						echo preg_replace($patterns, $replacements,wp_trim_words(get_the_excerpt(), $num_words, $more = null));
						?>

					</p>
					<div class="post-info">
						<?php if ( 'on' !== $show_comment ) : ?>
							<span class="view"><i class="fa fa-comments"></i><span><?php echo crazyblog_restyle_text( get_comments_number( get_the_ID() ) ) ?></span></span>
						<?php endif; // show_comment. ?>
						<?php if ( 'on' !== $show_post_view ) : ?>
							<span class="view"><i class="fa fa-eye"></i><span><?php echo crazyblog_restyle_text( $view ) ?></span></span>
						<?php endif; // show_post_view ?>
						<?php if ( 'on' !== $show_social_icon ) : ?>
							<span>
								<i class="fa fa-share-alt"></i>
								<span class="share-link">
									<?php crazyblog_social_share_output( array( 'facebook', 'twitter', 'pinterest', 'google-plus' ) ); ?>
								</span>
							</span>
						<?php endif; // show_social_icon ?>
					</div>
				</div>
			</div>


			<?php
		}
		wp_reset_postdata();
		echo '</div>';
		crazyblog_VIEW::get_instance()->crazyblog_enqueue_scripts( array( 'df-onscreen' ) );
		?>
		<?php
		$custom_script = 'jQuery(document).ready(function ($) {
			jQuery(window).scroll(function () {
				jQuery(".image-link > img").each(function (i, el) {
					var el = $(el);
					if (el.visible(true)) {
						el.addClass("animated zoomIn");
					}
				});
			});
		});';
		wp_add_inline_script( 'crazyblog_df-onscreen', $custom_script );
	}
	if ( $pagination == "true" ) :
		_the_pagination( array( 'total' => $query->max_num_pages ), $paged, true );
		wp_reset_postdata();
	endif;
	$output = ob_get_contents();
	ob_clean();
	return $output;
}

}
