<?php
if (!defined("crazyblog_DIR"))
  die('!!!');

class crazyblog_post_tabber_Widget extends WP_Widget
{

  function __construct()
  {
    parent::__construct( /* Base ID */
      'crazyblog-post-tabs', /* Name */
      esc_html__('CrazyBlog Post Tabs', 'crazyblog'), array('description' => esc_html__('This widget is used to show blog recent posts and popular posts with tabs.', 'crazyblog')));
  }

  function widget($args, $instance)
  {
    extract($args);
    $title = apply_filters('widget_title', crazyblog_set($instance, 'title'));
    echo wp_kses($before_widget, true);
    crazyblog_VIEW::get_instance()->crazyblog_enqueue_scripts(array('df-bootstrap-min'));
    ?>

    <div class="tabs-widget">
      <ul class="nav nav-tabs">
        <li class="active"><a data-toggle="tab" href="#popular2"><?php esc_html_e('Popular', 'crazyblog'); ?></a></li>
        <li><a data-toggle="tab" href="#recent2"><?php esc_html_e('Recent', 'crazyblog'); ?></a></li>
      </ul>
      <div class="tab-content">
        <div id="popular2" class="tab-pane fade in active">
          <div class="tabs-posts">
            <?php
            $args = array(
              'showposts' => crazyblog_set($instance, 'number'),
              'nopaging' => 0,
              'post_type' => 'post',
              'post_status' => 'publish',
              'ignore_sticky_posts' => 1,
              'meta_key' => 'crazyblog_post_views',
              'orderby' => 'meta_value_num'
            );
            if (crazyblog_set($instance, 'pop_cat') && is_array($instance['pop_cat'])):
              $args['category_name'] = implode(',', crazyblog_set($instance, 'pop_cat'));
            endif;
            $query = new WP_Query($args);
            ?>
            <?php
            if ($query->have_posts()) :
              ?>
              <div class="tabs-posts style2">
                <?php
                while ($query->have_posts()) :
                  $query->the_post();
                  ?>
                  <div class="tab-post">
                    <div class="post-thumb">
                      <a href="<?php the_permalink(); ?>"
                       title="<?php the_title(); ?>"><?php the_post_thumbnail('crazyblog_200x200'); ?></a>
                     </div>
                     <?php if (crazyblog_set($instance, 'show_category') == 'on'): ?>
                      <span
                      class="categ"><?php echo crazyblog_get_post_categories(get_the_ID(), ' , '); ?></span>
                    <?php endif; ?>
                    <h5><a href="<?php the_permalink(); ?>" title=""><?php the_title(); ?></a></h5>
                    <ul class="tabpost-meta">
                      <li><?php echo get_the_date(get_option('post_format')); ?></li>
                      <?php if (crazyblog_set($instance, 'show_author') == 'on'): ?>
                        <li><?php esc_html_e('By ', 'crazyblog'); ?><a title=""
                         href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>"><?php the_author(); ?></a>
                       </li>
                     <?php endif; ?>
                   </ul>
                 </div><!-- Tab Post -->
                 <?php
               endwhile;
               wp_reset_postdata();
               ?>
             </div>
             <?php
           endif;
           ?>
         </div><!-- Tabs Post -->
       </div>
       <div id="recent2" class="tab-pane fade">
        <div class="tabs-posts">
          <?php
          $args = array(
            'showposts' => crazyblog_set($instance, 'number'),
            'nopaging' => 0,
            'post_type' => 'post',
            'post_status' => 'publish',
            'ignore_sticky_posts' => 1
          );
          if (crazyblog_set($instance, 'recent_cat') && 'all' != crazyblog_set($instance, 'recent_cat')):
            $args['category_name'] = implode(',',(array) crazyblog_set($instance, 'recent_cat'));
          endif;

          $query = new WP_Query($args);
          ?>
          <?php
          if ($query->have_posts()) :
            ?>
            <div class="tabs-posts style2">
              <?php
              while ($query->have_posts()) :
                $query->the_post();
                ?>
                <div class="tab-post">
                  <div class="post-thumb">
                    <a href="<?php the_permalink(); ?>"
                     title="<?php the_title(); ?>"><?php the_post_thumbnail('crazyblog_200x200'); ?></a>
                   </div>
                   <?php if (crazyblog_set($instance, 'show_category') == 'on'): ?>
                    <span class="categ"><?php echo crazyblog_get_post_categories( get_the_ID(),' , ' ); ?>
                    </span>
                  <?php endif; ?>
                  <h5><a href="<?php the_permalink(); ?>" title=""><?php the_title(); ?></a></h5>
                  <ul class="tabpost-meta">
                    <li><?php echo get_the_date(get_option('post_format')); ?></li>
                    <?php if (crazyblog_set($instance, 'show_author') == 'on'): ?>
                      <li><?php esc_html_e('By ', 'crazyblog'); ?><a title=""
                       href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>"><?php the_author(); ?></a>
                     </li>
                   <?php endif; ?>
                 </ul>
               </div><!-- Tab Post -->
               <?php
             endwhile;
             wp_reset_postdata();
             ?>
           </div>
           <?php
         endif;
         ?>
       </div><!-- Tabs Post -->
     </div>
   </div>
 </div><!-- Tabs Widget -->

 <?php
 echo wp_kses($after_widget, true);
}

function update($new_instance, $old_instance)
{
  $instance = $old_instance;
  $instance['number'] = crazyblog_set($new_instance, 'number');
  $instance['recent_cat'] = crazyblog_set($new_instance, 'recent_cat');
  $instance['pop_cat'] = crazyblog_set($new_instance, 'pop_cat');
  $instance['show_author'] = crazyblog_set($new_instance, 'show_author');
  $instance['show_category'] = crazyblog_set($new_instance, 'show_category');
  return $instance;
}

function form($instance)
{
  $number = ($instance) ? esc_attr(crazyblog_set($instance, 'number')) : 3;
  $recent_category = ($instance) ? esc_attr(crazyblog_set($instance, 'recent_cat')) : "";
  $pop_category = ($instance) ? esc_attr(crazyblog_set($instance, 'pop_cat')) : "";

  $_show_author = isset($instance['show_author']) ? (bool)$instance['show_author'] : false;
  $_show_category = isset($instance['show_category']) ? (bool)$instance['show_category'] : false;
  $cat = get_categories();
  $cat_array = array();
  foreach ($cat as $c) {
    $cat_array[crazyblog_set($c, 'slug')] = crazyblog_set($c, 'name');
  }
  ?>
  <p>
    <label
    for="<?php echo esc_attr($this->get_field_id('number')); ?>"><?php esc_html_e('Number:', 'crazyblog'); ?></label>
    <input class="widefat" id="<?php echo esc_attr($this->get_field_id('number')); ?>"
    name="<?php echo esc_attr($this->get_field_name('number')); ?>" type="text"
    value="<?php echo esc_attr($number); ?>"/>
  </p>
  <?php
  echo '<p>';
  echo '<label for="' . $this->get_field_id('pop_cat') . '">' . __('Categories For Popular Post', 'crazyblog') . ':</label>';
  printf('<select multiple="multiple" name="%s[]" id="%s" class="widefat">', $this->get_field_name('pop_cat'), $this->get_field_id('pop_cat'));
  foreach ($cat_array as $key => $val) {
    echo printf('<option value="%s" %s>%s</option>', $key, in_array($key, crazyblog_set($instance, 'pop_cat')) ? 'selected="selected"' : '', $val);
  }
  echo '</select>';
  echo '</p>';

  echo '<p>';
  echo '<label for="' . $this->get_field_id('recent_cat') . '">' . __('Categories For Recent Post', 'crazyblog') . ':</label>';
  printf('<select multiple="multiple" name="%s[]" id="%s" class="widefat">', $this->get_field_name('recent_cat'), $this->get_field_id('recent_cat'));
  foreach ($cat_array as $key => $val) {
    echo printf('<option value="%s" %s>%s</option>', $key, in_array($key, crazyblog_set($instance, 'recent_cat')) ? 'selected="selected"' : '', $val);
  }
  echo '</select>';
  echo '</p>';
  ?>
  <p>
    <input type="checkbox" class="checkbox" id="<?php echo esc_attr($this->get_field_id('show_author')); ?>"
    name="<?php echo esc_attr($this->get_field_name('show_author')); ?>"<?php checked($_show_author); ?> />
    <label
    for="<?php echo esc_attr($this->get_field_id('show_author')); ?>"><?php esc_html_e('Show Author', 'crazyblog'); ?></label><br/>
  </p>

  <p>
    <input type="checkbox" class="checkbox" id="<?php echo esc_attr($this->get_field_id('show_category')); ?>"
    name="<?php echo esc_attr($this->get_field_name('show_category')); ?>"<?php checked($_show_category); ?> />
    <label
    for="<?php echo esc_attr($this->get_field_id('show_category')); ?>"><?php esc_html_e('Show Category', 'crazyblog'); ?></label><br/>
  </p>

  <?php
}

}
